<?php

class Migration_20250105003709_call_pricings
{
    public static function up(PDO $pdo)
    {
        // Your migration code here
        $sql = "
            CREATE TABLE IF NOT EXISTS call_pricings (
                id INT AUTO_INCREMENT PRIMARY KEY,
                property_id INT,
                product_id INT NULL,          
                product_qty VARCHAR(50) DEFAULT 1,          
                -- product_name VARCHAR(30) NULL,
                dealer_price VARCHAR(50) NULL,          
                end_user_price VARCHAR(50) NULL,          
                created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
            );
        ";

        $pdo->exec($sql);
    }

    public static function down(PDO $pdo)
    {
        // Rollback code here
        $sql = "
            DROP TABLE IF EXISTS call_pricings;
        ";
    }
}